---
search:
  tags:
    - memory
    - GET
seo:
  description: >-
    List agent costs. Reference for the GET
    /workspaces/{organizationId}/agent/costs endpoint in the Pile API.
sidebar:
  label: List agent costs
  badge: GET
title: List agent costs
type: openapi-operation
---
`GET /workspaces/{organizationId}/agent/costs`

**Responses**

- `200` — Lane cost ledger — per-session compute durations

Response example, 200:

```json
{
  "costs": [
    {
      "sessionId": "string",
      "agentSlug": "string",
      "issueId": "string",
      "provider": "string",
      "effort": "string",
      "status": "string",
      "createdAt": "string",
      "settledAt": "string",
      "durationMs": 0,
      "attempts": 0
    }
  ]
}
```
